<?php

function pp_ch_views_data() {
  $data = array();

  // ----------------------------------------------------------------------
  // term_channels table
  $data['term_channels']['table']['group']  = t('ProsePoint');

  $data['term_channels']['table']['join'] = array(
    // links to term_data directly via tid.
    'term_data' => array(
      'left_field' => 'tid',
      'field' => 'tid',
    ),
    'node' => array(
      'left_table' => 'node_data_field_channel',
      'left_field' => 'field_channel_value',
      'field' => 'tid',
    ),
  );

  // current_edition_nid field
  $data['term_channels']['current_edition_nid'] = array(
    'title' => t('Current edition nid'),
    'help' => t('The node id of the current edition'),
    'field' => array(
      'handler' => 'views_handler_field_numeric',
    ),
    'argument' => array(
      'handler' => 'views_handler_argument_numeric',
    ),
    /*
    'filter' => array(
      'handler' => 'views_handler_filter_term_node_tid',
      'hierarchy table' => 'term_hierarchy',
      'numeric' => TRUE,
      'skip base' => array('node', 'node_revision'),
    ),
    */
  );

  $data['term_channels']['next_edition_nid'] = array(
    'title' => t('Next edition nid'),
    'help' => t('The node id of the next edition'),
    'field' => array(
      'handler' => 'views_handler_field_numeric',
    ),
    'argument' => array(
      'handler' => 'views_handler_argument_numeric',
    ),
  );

  return $data;
}

function pp_ch_views_handlers() {
  return array(
    'info' => array(
      'path' => drupal_get_path('module', 'pp_ch') . '/views',
    ),
    'handlers' => array(
      // field handlers
      'pp_ch_views_handler_field_edition_state' => array(
        'parent' => 'views_handler_field_node',
      ),
    ),
  );
}

function pp_ch_views_data_alter(&$data) {
  $data['node_data_field_channel']['pp_edition_state'] = array(
    'title' => 'Edition State',
    'help' => t("ProsePoint internal use only."),
    'field' => array(
      'field' => 'field_channel_value',
      'group' => t('ProsePoint'), 
      'handler' => 'pp_ch_views_handler_field_edition_state',
      'click sortable' => TRUE,
     ),
  );
}

/* Alter story_view to insert channel description */
function pp_ch_views_pre_render($view) {
  if ($view->name = 'story_view' && !empty($view->args[0]) && in_array($view->current_display, array('page_3'))) {
    $term = taxonomy_get_term($view->args[0]);
    if (!empty($term->description)) {
      $view->display_handler->options['header'] = '<div class="channel-term-description">' . $term->description . '</div>' . $view->display_handler->options['header'];
      $view->display_handler->options['header_empty'] = 1;
    }
  }
}

