<?php
/*
 * Copyright 2008 ThinkLeft (thinkleft.com.au)
 * Copyright 2008 ProsePoint (www.prosepoint.org)
 */

function pp_ed_views_handlers() {
  return array(
    'info' => array(
      'path' => drupal_get_path('module', 'pp_ed') . '/views',
    ),
    'handlers' => array(
      // field handlers
      'pp_ed_views_handler_field_node' => array(
        'parent' => 'views_handler_field_node',
      ),
      'pp_ed_views_handler_thumbnail' => array(
        'parent' => 'views_handler_field_node_link',
      ),
    ),
  );
}


/* Views customisation */
function pp_ed_views_data_alter(&$data) {
  $data['node']['pp_ed_title'] = array(
    'title' => 'PP Title',
    'help' => t("ProsePoint internal use only."),
    'field' => array(
      'field' => 'title', // the real field. This could be left out since it is the same.
      'group' => t('Node'), // The group it appears in on the UI. Could be left out.
      'handler' => 'pp_ed_views_handler_field_node',
      'click sortable' => TRUE,
     ),
    'sort' => array(
      'handler' => 'views_handler_sort',
    ),
    // Information for accepting a title as a filter
    'filter' => array(
      'handler' => 'views_handler_filter_string',
    ),
    'argument' => array(
      'handler' => 'views_handler_argument_string',
    ),
  );
  
  $data['node']['pp_ed_thumbnail'] = array(
    'field' => array(
      'title' => t('PP Thumbnail'),
      'help' => t("ProsePoint internal use only."),
      'handler' => 'pp_ed_views_handler_thumbnail',
    ),
  );
}
